/* libav.h: Interface to libav.c */

#ifndef LIBAV_H

# include "audio_file.h"

# if HAVE_LIBAV
extern bool libav_open(audio_file_t *af, char *filename);
extern int libav_read_frames(audio_file_t *af,
			     void *write_to,
			     frames_t start,
			     frames_t frames_to_read,
			     af_format_t format);
extern void libav_close(audio_file_t *af);
# endif

# define LIBAV_H 1
#endif
